InputTag (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.web.servlet.tags.form

## Class InputTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag
      - - org.springframework.web.servlet.tags.form.AbstractFormTag
        - - org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
          - - org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
            - - org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
              - - org.springframework.web.servlet.tags.form.InputTag

- All Implemented Interfaces:
    Serializable, DynamicAttributes, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag
  Direct Known Subclasses:
    PasswordInputTag

      public class InputTag
      extends AbstractHtmlInputElementTag

  Data-binding-aware JSP tag for rendering an HTML '`input`' element with a '`type`' of '`text`'.
  Since:
    2.0
  Author:
    Rob Harrop, Juergen Hoeller, Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALT_ATTRIBUTE`
    `static String` | `AUTOCOMPLETE_ATTRIBUTE`
    `static String` | `MAXLENGTH_ATTRIBUTE`
    `static String` | `ONSELECT_ATTRIBUTE`
    `static String` | `READONLY_ATTRIBUTE`
    `static String` | `SIZE_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

      `ACCESSKEY_ATTRIBUTE, DISABLED_ATTRIBUTE, ONBLUR_ATTRIBUTE, ONCHANGE_ATTRIBUTE, ONFOCUS_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

      `CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

    - ### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

      `COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

    - ### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

      `logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getAlt()` Get the value of the '`alt`' attribute.
    `protected String` | `getAutocomplete()` Get the value of the '`autocomplete`' attribute.
    `protected String` | `getMaxlength()` Get the value of the '`maxlength`' attribute.
    `protected String` | `getOnselect()` Get the value of the '`onselect`' attribute.
    `protected String` | `getSize()` Get the value of the '`size`' attribute.
    `protected String` | `getType()` Get the value of the '`type`' attribute.
    `protected boolean` | `isValidDynamicAttribute(String localName, Object value)` Flags `type="checkbox"` and `type="radio"` as illegal dynamic attributes.
    `void` | `setAlt(String alt)` Set the value of the '`alt`' attribute.
    `void` | `setAutocomplete(String autocomplete)` Set the value of the '`autocomplete`' attribute.
    `void` | `setMaxlength(String maxlength)` Set the value of the '`maxlength`' attribute.
    `void` | `setOnselect(String onselect)` Set the value of the '`onselect`' attribute.
    `void` | `setSize(String size)` Set the value of the '`size`' attribute.
    `protected int` | `writeTagContent(TagWriter tagWriter)` Writes the '`input`' tag to the supplied `TagWriter`.
    `protected void` | `writeValue(TagWriter tagWriter)` Writes the '`value`' attribute to the supplied `TagWriter`.

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

      `getAccesskey, getDisabled, getOnblur, getOnchange, getOnfocus, getReadonly, isDisabled, isReadonly, setAccesskey, setDisabled, setOnblur, setOnchange, setOnfocus, setReadonly, writeOptionalAttributes`

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

      `getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

      `autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

    - ### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

      `createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

    - ### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

      `isHtmlEscape, setHtmlEscape`

    - ### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

      `doCatch, doStartTag, getRequestContext`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SIZE_ATTRIBUTE

          public static final String SIZE_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### MAXLENGTH_ATTRIBUTE

          public static final String MAXLENGTH_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ALT_ATTRIBUTE

          public static final String ALT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ONSELECT_ATTRIBUTE

          public static final String ONSELECT_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### READONLY_ATTRIBUTE

          public static final String READONLY_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### AUTOCOMPLETE_ATTRIBUTE

          public static final String AUTOCOMPLETE_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InputTag

          public InputTag()

  - ### Method Detail

    - #### setSize

          public void setSize(String size)

      Set the value of the '`size`' attribute. May be a runtime expression.

    - #### getSize

          protected String getSize()

      Get the value of the '`size`' attribute.

    - #### setMaxlength

          public void setMaxlength(String maxlength)

      Set the value of the '`maxlength`' attribute. May be a runtime expression.

    - #### getMaxlength

          protected String getMaxlength()

      Get the value of the '`maxlength`' attribute.

    - #### setAlt

          public void setAlt(String alt)

      Set the value of the '`alt`' attribute. May be a runtime expression.

    - #### getAlt

          protected String getAlt()

      Get the value of the '`alt`' attribute.

    - #### setOnselect

          public void setOnselect(String onselect)

      Set the value of the '`onselect`' attribute. May be a runtime expression.

    - #### getOnselect

          protected String getOnselect()

      Get the value of the '`onselect`' attribute.

    - #### setAutocomplete

          public void setAutocomplete(String autocomplete)

      Set the value of the '`autocomplete`' attribute. May be a runtime expression.

    - #### getAutocomplete

          protected String getAutocomplete()

      Get the value of the '`autocomplete`' attribute.

    - #### writeTagContent

          protected int writeTagContent(TagWriter tagWriter)
                                 throws JspException

      Writes the '`input`' tag to the supplied `TagWriter`. Uses the value returned by `getType()` to determine which type of '`input`' element to render.
      Specified by:
        `writeTagContent` in class `AbstractFormTag`
      Returns:
        valid tag render instruction as per `Tag.doStartTag()`.
      Throws:
        `JspException`

    - #### writeValue

          protected void writeValue(TagWriter tagWriter)
                             throws JspException

      Writes the '`value`' attribute to the supplied `TagWriter`. Subclasses may choose to override this implementation to control exactly when the value is written.
      Throws:
        `JspException`

    - #### isValidDynamicAttribute

          protected boolean isValidDynamicAttribute(String localName,
                                        Object value)

      Flags `type="checkbox"` and `type="radio"` as illegal dynamic attributes.
      Overrides:
        `isValidDynamicAttribute` in class `AbstractHtmlElementTag`

    - #### getType

          protected String getType()

      Get the value of the '`type`' attribute. Subclasses can override this to change the type of '`input`' element rendered. Default value is '`text`'.